Skip to main content
GET
/
admin
/
reward
/
{rewardId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/admin/reward/%7BrewardId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "userId": "<string>",
  "spaceId": "<string>",
  "spaceName": "<string>",
  "sourceType": "<string>",
  "sourceMetaData": {
    "platform": "x",
    "postUrl": "<string>",
    "postId": "<string>",
    "snapshotId": "<string>",
    "content": "<string>",
    "username": "<string>",
    "followerCount": 123,
    "verifyResult": {
      "isValid": true,
      "errors": [
        {
          "message": "<string>",
          "localization": {
            "i18nKey": "<string>",
            "context": {}
          }
        }
      ]
    }
  },
  "uniqueKey": "<string>",
  "status": "pending",
  "amount": 123,
  "consumedAmount": 123,
  "remainingAmount": 123,
  "rewardTime": "<string>",
  "expiredTime": "<string>",
  "createdTime": "<string>",
  "lastModifiedTime": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

rewardId
string
required

Response

200 - application/json

Returns the reward detail

id
string
required
userId
string
required
spaceId
string
required
spaceName
string
required
sourceType
string
required
sourceMetaData
object
required
uniqueKey
string
required
status
enum<string>
required
Available options:
pending,
approved,
rejected
amount
integer
required
consumedAmount
number | null
required
remainingAmount
number | null
required
rewardTime
string | null
required
expiredTime
string | null
required
createdTime
string
required
lastModifiedTime
string | null
required
Last modified on March 5, 2026